> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Power on

> phone power on



## OpenAPI

````yaml post /open/api/phone/start
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/phone/start:
    post:
      tags: []
      summary: Power on
      description: phone power on
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PhoneReqVOUpdate'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RPhoneStartResVO'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    PhoneReqVOUpdate:
      type: object
      properties:
        id:
          type: integer
          description: Phone ID, The `Get phone list` returns the ID contained in the data.
          format: int64
        configId:
          type: integer
          description: >-
            phone model id, Create the corresponding model of mobile phone based
            on the id obtain through `Get the list of models` api
          format: int64
      required:
        - id
    RPhoneStartResVO:
      type: object
      properties:
        traceId:
          type: string
          description: Request link ID
        code:
          type: integer
          description: code
        msg:
          type: string
          description: Request return message
        data:
          $ref: '#/components/schemas/PhoneStartResVO'
          description: Request return data
        status:
          type: string
          description: >-
            Status, representing whether this is an instant completion or
            waiting state, finish or pending
          default: finish
      required:
        - traceId
        - code
        - msg
        - status
    PhoneStartResVO:
      type: object
      properties:
        screenWidth:
          type: string
          description: Phone Screen width resolution
        screenHeight:
          type: string
          description: Phone Screen height resolution
        taskId:
          type: integer
          description: Task ID, Used to query the execution status of the task
          format: int64

````